Bug 186749 - [PATCH] www/ap22-mod_wsgi3: Fix packaging
[PATCH] www/ap22-mod_wsgi3: Fix packaging
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-13 22:50 UTC by Steve Wills
Modified: 2014-02-14 19:40 UTC (History)
1 user (show)

See Also:


Attachments
ap22-mod_wsgi3-3.4_1.patch (391 bytes, patch)
2014-02-13 22:50 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-02-13 22:50:00 UTC
- Fix packaging

When packaging with poudriere, poudriere complains:

====>> Error: Filesystem touched during stage (files must install to ${STAGEDIR}):
usr/local/etc/apache22/httpd.conf: 
	size (16915, 16974)

because apxs modifies the apache config. This is done in the pkg-plist @exec as
well, so there's no need to call it when packaging. So the attached patch takes
care of the issue.

Port maintainer (douglas@douglasthrift.net) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-13 22:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-02-13 22:50:08 UTC
Maintainer of www/mod_wsgi3,

Please note that PR ports/186749 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186749

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 douglas 2014-02-13 22:58:01 UTC
Hello,

This looks fine, I approve. Would this also apply to the mod_wsgi2 port
as well?

Thanks!

Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>

On 2/13/2014 2:50 PM, Edwin Groothuis wrote:
> Maintainer of www/mod_wsgi3,
> 
> Please note that PR ports/186749 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186749
>
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-02-14 09:05:17 UTC
State Changed
From-To: feedback->open

Maintainer approved. Assign to submitter. 


Comment 5 Ruslan Makhmatkhanov freebsd_committer 2014-02-14 09:05:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

Maintainer approved. Assign to submitter.
Comment 6 Steve Wills freebsd_committer 2014-02-14 19:03:25 UTC
Hi,

Yes, this would apply to the mod_wsgi2 port as well (and probably all ports
that call APXS, but that's a separate topic). Would you like me to go ahead and
commit the change there as well?

Steve
Comment 7 douglas 2014-02-14 19:04:23 UTC
Yes, please do.

Thanks!

Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>

On 2/14/2014 11:03 AM, Steve Wills wrote:
> Hi,
> 
> Yes, this would apply to the mod_wsgi2 port as well (and probably all ports
> that call APXS, but that's a separate topic). Would you like me to go ahead and
> commit the change there as well?
> 
> Steve
>
Comment 8 dfilter freebsd_committer 2014-02-14 19:31:14 UTC
Author: swills
Date: Fri Feb 14 19:31:07 2014
New Revision: 344298
URL: http://svnweb.freebsd.org/changeset/ports/344298
QAT: https://qat.redports.org/buildarchive/r344298/

Log:
  - Calling apxs when building packages breaks staging checks, so only do it if
    PACKAGE_BUILDING is not set.
  
  PR:		ports/186749
  Submitted by:	swills (myself)
  Approved by:	Douglas Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/www/mod_wsgi2/Makefile
  head/www/mod_wsgi3/Makefile

Modified: head/www/mod_wsgi2/Makefile
==============================================================================
--- head/www/mod_wsgi2/Makefile	Fri Feb 14 19:22:27 2014	(r344297)
+++ head/www/mod_wsgi2/Makefile	Fri Feb 14 19:31:07 2014	(r344298)
@@ -37,6 +37,8 @@ pre-everything::
 	@${ECHO_MSG} "========================================================="
 
 post-install:
+.if !defined(PACKAGE_BUILDING)
 	@${APXS} -e -a -n "${SHORTMODNAME}" "${APACHEMODDIR}/${MODULENAME}.so"
+.endif
 
 .include <bsd.port.mk>

Modified: head/www/mod_wsgi3/Makefile
==============================================================================
--- head/www/mod_wsgi3/Makefile	Fri Feb 14 19:22:27 2014	(r344297)
+++ head/www/mod_wsgi3/Makefile	Fri Feb 14 19:31:07 2014	(r344298)
@@ -35,6 +35,8 @@ pre-everything::
 	@${ECHO_MSG} "========================================================="
 
 post-install:
+.if !defined(PACKAGE_BUILDING)
 	@${APXS} -e -a -n "${SHORTMODNAME}" "${APACHEMODDIR}/${MODULENAME}.so"
+.endif
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Steve Wills freebsd_committer 2014-02-14 19:31:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!